﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent DSA90804A: (1 yr) VER VISA /9500+4Hd,LO,E441x
DATE:                  2011-02-17 13:33:43
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       382
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E4412A on channel 1
CONFIGURATION:         Agilent E8257D
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#@
#@ Model(s) Covered:
#@       Agilent DSA90804A
#@
#@ Compatibility:
#@        MET/CAL 7.3 or later
#@
#@ Source(s):
#@       Agilent 90000 Series Infiniium Oscilloscopes Service Guide,
#@        Part No. 54913-97007, December 2008
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection VISA
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Connector Precautions (3.5 mm)
#        Sub Agilent Infiniium Channel Selection VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500
#        Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500
#        Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO
#        Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO
#        Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LO
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#
#  Required Files:
#        dso_dsa_9xx04A_bandwidth_lo.jpg
#
#@ Flexible Standard(s) Required:
#@       - Local Oscillator (LO):
#@         Example: Agilent E8257D with Option 520 or equivalent
#@         - Frequency Range: 10 MHz to 8 GHz, CW
#@           Accuracy: < ± 0.01 ppm
#@           Settability: 10 Hz (Internal)
#@         - Amplitude Range: -24 dBm to +16 dBm
#@
#@ Additional Equipment Required:
#@       - Adapter, 3.5 mm (f) SMA to Precision BNC,
#@           Agilent Part No. 54855-67604 (No Substitute)
#@       - Adapter, 3.5 mm (m) to Type N (m), 1 ea.
#@       - Coaxial cable, 3.5 mm (f) to Type N (m), DC to >= 18 GHz, 1 ea.
#@       - Power Splitter, 2 resistor, DC to >= 18 GHz,
#@           Agilent 11667A or equivalent
#@
#  The procedure was tested using:
#        Model Number      : DSO91304A (simulating DSA90804A)
#        Serial number     : MY47350002
#        Firmware Revision : 03.02.0000
#
#@ Average run time during testing:
#@       33 min.
#@
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK+           K
  1.002  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.003  IF           0
  1.004  M9500                       CH1
  1.005  9500         10MH                         600mVpp        LS    S  L
  1.006  M9500                       CH2
  1.007  9500         10MH                         600mVpp        LS    S  L
  1.008  M9500                       CH3
  1.009  9500         10MH                         600mVpp        LS    S  L
  1.010  M9500                       CH4
  1.011  9500         10MH                         600mVpp        LS    S  L
# Agilent E4418A Power Meter FSC used below.
  1.012  IEEE         [@LO]
  1.013  STD          Agilent 11667A
  1.014  ENDIF

  1.015  IF           NOT(VERSIONCHECK("7.3"))
  1.016  DISP         Met/CAL Version 7.3 or later is required.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright

  1.020  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.021  CALL         Sub UUT Connection VISA

  1.022  IF           @Abort
  1.023  END
  1.024  ENDIF

  1.025  VISA         *RST

  1.026  HEAD         UUT IDENTIFICATION
  1.027  CALL         Sub IEEE-488.2 Identification Query VISA

  1.028  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.029  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.030  MATH         @UUT_Model         = "DSA90804A"
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

# Set Post-Test reset condition for UUT.
  1.035  RESET        *CLS[GTL]

  1.036  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.037  CALL         Sub Select Failed Test Mode

  1.038  HEAD         EQUIPMENT REQUIRED
  1.039  HEAD         -2 (Page 1 of 2)
  1.040  DISP         Flexible Standard(s) Required:
  1.040  DISP
  1.040  DISP         - Local Oscillator (LO):
  1.040  DISP         [32] Example: Agilent E8257D with Opt 520 or equivalent
  1.040  DISP
  1.040  DISP         [32] - Frequency Range: 10 MHz to 8 GHz, CW
  1.040  DISP         [32]   Accuracy:        ±0.01 ppm
  1.040  DISP         [32]   Settability:     10 Hz or better
  1.040  DISP
  1.040  DISP         [32] - Amplitude Range: -24 dBm to +16 dBm

  1.041  HEAD         -2 (Page 2 of 2)
  1.042  DISP         The following additional equipment is required to
  1.042  DISP         facilitate the verification:
  1.042  DISP
  1.042  DISP         - Power Splitter, 2 resistor, DC to >= 18 GHz,
  1.042  DISP         [32] Agilent 11667A or equivalent
  1.042  DISP
  1.042  DISP         - Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent
  1.042  DISP         [32] Part No. 54855-67604, No Substitute
  1.042  DISP
  1.042  DISP         - Adapter, 3.5 mm (m) to Type N (m), 1 ea.
  1.042  DISP
  1.042  DISP         - Coaxial cable, 3.5 mm (f) to Type N (m),
  1.042  DISP         [32] DC to >= 18 GHz, 1 ea.
         HEAD         -2

  1.043  HEAD         CONNECTION PRECAUTIONS
  1.044  OPBR         Would you like to view Connection Precautions
  1.044  OPBR         for the various types of connections used throughout
  1.044  OPBR         this procedure?[NO]

  1.045  IF           MEM1 > 0
  1.046  CALL         Sub Connector Precautions (Type N)
  1.047  CALL         Sub Connector Precautions (SMA)
  1.048  CALL         Sub Connector Precautions (3.5 mm)
  1.049  ENDIF

  1.050  HEAD         PRELIMINARY INSTRUCTIONS
  1.051  DISP         Ensure a minimum UUT warm-up time of 30 minutes
  1.051  DISP         has elapsed prior to proceeding.

  1.052  CALL         Sub Initialize /LO
  1.053  CALL         Sub Reset /LO
  1.054  CALL         Sub Output Off /LO

# Configure UUT Bandwidth and Test Parameters.  Due to the nature of these
# tests, and/or the use of UUT Average Acquisition Mode, all testing is
# performed with the following parameters.  There is no need for separate
# TAR and MU modes.
  1.055  MATH         @Bandwidth = 8E+9
  1.056  VSET         NMEAS = 1; NTHROW = 0; NSD = 3

  1.057  HEAD         INSTRUMENT CONNECTIONS
  1.058  DISP         Remove ALL connections from the UUT channel inputs.
  1.058  DISP
  1.058  DISP         The next routine operator intervention occurs
  1.058  DISP         in approximately 4 minutes.

  1.059  RSLT         =
  1.060  HEAD         SELF TEST
  1.061  TARGET
  1.062  HEAD         -2 Performing SELF TEST, please wait...
  1.063  VISA         [T300000]*TST?[I]
  1.064  HEAD         -2
  1.065  EVAL   -e NOT(MEM) : SELF TEST

  2.001  IF           FAIL()
  2.002  END
  2.003  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Agilent DSA90604A
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   ZERO ERROR  (Chan 1)               ZERO ERROR  (Chan 1)
#    3.   ZERO ERROR  (Chan 2)               ZERO ERROR  (Chan 2)
#    4.   ZERO ERROR  (Chan 3)               ZERO ERROR  (Chan 3)
#    5.   ZERO ERROR  (Chan 4)               ZERO ERROR  (Chan 4)
#    6.   OFFSET GAIN (Chan 1)               OFFSET GAIN (Chan 1)
#    7.   OFFSET GAIN (Chan 2)               OFFSET GAIN (Chan 2)
#    8.   OFFSET GAIN (Chan 3)               OFFSET GAIN (Chan 3)
#    9.   OFFSET GAIN (Chan 4)               OFFSET GAIN (Chan 4)
#   10.   DC GAIN     (Chan 1)               DC GAIN     (Chan 1)
#   11.   DC GAIN     (Chan 2)               DC GAIN     (Chan 2)
#   12.   DC GAIN     (Chan 3)               DC GAIN     (Chan 3)
#   13.   DC GAIN     (Chan 4)               DC GAIN     (Chan 4)
#   14.   BANDWIDTH   (Chan 1)               BANDWIDTH   (Chan 1)
#   15.   BANDWIDTH   (Chan 2)               TIME SCALE ACCURACY
#   16.   BANDWIDTH   (Chan 3)               BANDWIDTH   (Chan 2)
#   17.   BANDWIDTH   (Chan 4)               BANDWIDTH   (Chan 3)
#   18.   TIME SCALE ACCURACY                BANDWIDTH   (Chan 4)

  2.004  MATH         @Chan = 1
  2.005  M9500                       CH1
  2.006  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.007  MATH         @Chan = 2
  2.008  M9500                       CH2
  2.009  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.010  MATH         @Chan = 3
  2.011  M9500                       CH3
  2.012  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.013  MATH         @Chan = 4
  2.014  M9500                       CH4
  2.015  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.016  HEAD         INSTRUMENT CONNECTIONS
  2.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.018  DISP         Make the following connections:
  2.018  DISP
  2.018  DISP         [32]       9500          to    UUT
  2.018  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1
  2.018  DISP         [32]  CH2 ACTIVE HEAD -------> Ch 2
  2.018  DISP         [32]  CH3 ACTIVE HEAD -------> Ch 3
  2.018  DISP         [32]  CH4 ACTIVE HEAD -------> Ch 4
  2.018  DISP
  2.018  DISP         The next routine operator intervention occurs
  2.018  DISP         in approximately 22 minutes...

  2.019  MATH         @Chan = 1
  2.020  M9500                       CH1
  2.021  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.022  MATH         @Chan = 2
  2.023  M9500                       CH2
  2.024  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.025  MATH         @Chan = 3
  2.026  M9500                       CH3
  2.027  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.028  MATH         @Chan = 4
  2.029  M9500                       CH4
  2.030  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.031  MATH         @Chan = 1
  2.032  M9500                       CH1
  2.033  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.034  MATH         @Chan = 2
  2.035  M9500                       CH2
  2.036  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.037  MATH         @Chan = 3
  2.038  M9500                       CH3
  2.039  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.040  MATH         @Chan = 4
  2.041  M9500                       CH4
  2.042  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.043  HEAD         ZERO/CAL POWER METER
  2.044  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.045  DISP         Connect the Agilent E4412A Power Sensor to the
  2.045  DISP         Agilent E441x POWER REF connector.
  2.045  DISP
  2.045  DISP         After pressing Advance, remove all 9500 Active Heads
  2.045  DISP         from the UUT inputs while the Zero/Cal is performed.

  2.046  HEAD         -2 Zero/Cal operation in progress, please wait...
  2.047  M4418  F64   E4412A
  2.048  4418         1mW                          50MH              CP N  CH1
  2.049  HEAD         -2

  2.050  HEAD         INSTRUMENT CONNECTIONS
  2.051  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.052  PIC          dso_dsa_9xx04A_bandwidth_lo.jpg

  2.053  DISP         The next routine operator intervention occurs
  2.053  DISP         in approximately 2 minutes...

  2.054  MATH         @Chan = 1
  2.055  CALL         Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO
  2.056  JMPL         TIME_SCALE

  2.057  LABEL        BANDWIDTH_CH2
  2.058  HEAD         INSTRUMENT CONNECTIONS
  2.059  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.060  DISP         Move the connections from the UUT CH 1 to CH 2.
  2.060  DISP
  2.060  DISP         The next routine operator intervention occurs
  2.060  DISP         in approximately 1½ minutes...

  2.061  MATH         @Chan = 2
  2.062  CALL         Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO

  2.063  HEAD         INSTRUMENT CONNECTIONS
  2.064  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.065  DISP         Move the connections from the UUT CH 2 to CH 3.
  2.065  DISP
  2.065  DISP         The next routine operator intervention occurs
  2.065  DISP         in approximately 1½ minutes...

  2.066  MATH         @Chan = 3
  2.067  CALL         Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO

  2.068  HEAD         INSTRUMENT CONNECTIONS
  2.069  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.070  DISP         Move the connections from the UUT CH 3 to CH 4.
  2.070  DISP
  2.070  DISP         The next routine operator intervention occurs
  2.070  DISP         in approximately 1½ minutes (barring any test failures,
  2.070  DISP         verification will be complete).

  2.071  MATH         @Chan = 4
  2.072  CALL         Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO
  2.073  JMPL         END

  2.074  LABEL        TIME_SCALE
  2.075  MATH         @Chan = 1
  2.076  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO
  2.077  JMPL         BANDWIDTH_CH2

  2.078  LABEL        END
  2.079  RSLT         =
  2.080  HEAD         {V E R I F I C A T I O N  C O M P L E T E}
  2.081  END


