﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO/DSA9xx04A (1 yr) Bandwidth VER VISA /LO
DATE:                  2011-02-18 09:12:56
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       127
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E8257D
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent 90000 Series Infiniium Oscilloscopes:
#          DSO/DSA90254A, DSO/DSA90404A, DSO/DSA90604A,
#          DSO/DSA90804A, DSO/DSA91204A, DSO/DSA91304A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO
#        Sub Reset /LO
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Adapter, 3.5 mm (f) SMA to Precision BNC,
#          Agilent Part No. 54855-67604 (No Substitute)
#        Adapter, 3.5 mm (m) to Type N (m), 1 ea.
#        Coaxial cable, 3.5 mm (f) to Type N (m), DC to >= 18 GHz, 1 ea.
#        Power Splitter, 2 resistor, DC to >= 18 GHz,
#          Agilent 11667A or equivalent
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Force procedure header to list the required standards.
  1.001  STD          Agilent 11667A
  1.002  IF           0
  1.003  IEEE         [@LO]
  1.004  ENDIF

  1.005  CALL         Sub Agilent Infiniium Channel Selection VISA

# Specifications: -3 dB or less at rated bandwidth.
# Full scale is defined as 8 vertical divisions.

# Define Analog Bandwidth maximum test frequency (91304A tested at 12 GHz).
  1.006  IF           @Bandwidth == 13E+9
  1.007  MATH         @MaxFreq = 12
  1.008  ELSE
  1.009  MATH         @MaxFreq = @Bandwidth / 1E+9
  1.010  ENDIF

  1.011  IF           @Chan == 1
  1.012  RSLT         =
  1.013  HEAD         {ANALOG BANDWIDTH - MAXIMUM FREQUENCY CHECK}
  1.014  RSLT         =(Response at [V @MaxFreq] GHz, dB)
  1.015  ENDIF

  1.016  RSLT         =
  1.017  HEAD         -2 {Channel [V @Chan]}: 5 mV/div
  1.018  TARGET       -p
  1.019  VISA         CHAN[V @Chan]:SCAL 5E-3;OFFS 0V
  1.020  VISA         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  1.021  VISA         TRIG:EDGE:SLOP POS;SOUR CHAN[V @Chan]
# Save UUT V/div setting for use in subprocedures.  LO Amplitude configured
# for a 4 division reference through the power splitter's 6 dB of loss.
  1.022  MATH         @Range = "5 mV/div"; @LO_Ampl = "-24dBm"
  1.023  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.024  HEAD         -2 Channel [V @Chan]: 10 mV/div
  1.025  VISA         CHAN[V @Chan]:SCAL 10E-3
  1.026  MATH         @Range = "10 mV/div"; @LO_Ampl = "-18dBm"
  1.027  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.028  HEAD         -2 Channel [V @Chan]: 20 mV/div
  1.029  VISA         CHAN[V @Chan]:SCAL 20E-3
  1.030  MATH         @Range = "20 mV/div"; @LO_Ampl = "-12dBm"
  1.031  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.032  HEAD         -2 Channel [V @Chan]: 50 mV/div
  1.033  VISA         CHAN[V @Chan]:SCAL 50E-3
  1.034  MATH         @Range = "50 mV/div"; @LO_Ampl = "-4dBm"
  1.035  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.036  HEAD         -2 Channel [V @Chan]: 100 mV/div
  1.037  VISA         CHAN[V @Chan]:SCAL 100E-3
  1.038  MATH         @Range = "100 mV/div"; @LO_Ampl = "+2dBm"
  1.039  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.040  HEAD         -2 Channel [V @Chan]: 200 mV/div
  1.041  VISA         CHAN[V @Chan]:SCAL 200E-3
  1.042  MATH         @Range = "200 mV/div"; @LO_Ampl = "+8dBm"
  1.043  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.044  HEAD         -2 Channel [V @Chan]: 500 mV/div
  1.045  VISA         CHAN[V @Chan]:SCAL 500E-3
  1.046  MATH         @Range = "500 mV/div"; @LO_Ampl = "+16dBm"
  1.047  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.048  HEAD         -2 Channel [V @Chan]: 1 V/div
  1.049  VISA         CHAN[V @Chan]:SCAL 1
# A 2 division reference is used since +22 dBm exceeds most generator's
# Maximum Unleveled Power capabilities.
  1.050  MATH         @Range = "1 V/div"; @LO_Ampl = "+16dBm"
  1.051  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Measure BW Gain VISA /LO

  1.052  CALL         Sub Reset /LO
  1.053  VISA         *RST
  1.054  4418         *                                                 S
  1.055  HEAD
  1.056  HEAD         -2
  1.057  END
